curl -X POST "https://api.scanova.io/custom-domain/42/send-instructions/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a" \
-H "Content-Type: application/json" \
-d '{
"email": "it-team@example.com",
"note": "Please add these records before Friday."
}'
{ "detail": "Setup instructions sent." }
自定义域名
通过邮件发送 DNS 设置说明
POST /custom-domain//send-instructions/
POST
/
custom-domain
/
{pk}
/
send-instructions
/
curl -X POST "https://api.scanova.io/custom-domain/42/send-instructions/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a" \
-H "Content-Type: application/json" \
-d '{
"email": "it-team@example.com",
"note": "Please add these records before Friday."
}'
{ "detail": "Setup instructions sent." }
在 Management API 主机(
邮件中包含该域名的 CNAME 目标和 TXT 验证值——与列出自定义域名返回的值相同。如果
api.scanova.io)上将域名的 DNS 设置说明通过邮件发送给收件人,使用您的原始 Management API 密钥进行身份验证。
POST https://api.scanova.io/custom-domain/{pk}/send-instructions/
Authorization: 401f7ac837da42b97f613d789819ff93537bee6a
string
必填
收件人邮箱地址。无需是 Scanova 用户——此端点旨在将设置工作转交给负责管理该域名 DNS 的人员(例如 IT 团队)。
string
包含在邮件中的可选备注,最多 1000 个字符。
curl -X POST "https://api.scanova.io/custom-domain/42/send-instructions/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a" \
-H "Content-Type: application/json" \
-d '{
"email": "it-team@example.com",
"note": "Please add these records before Friday."
}'
{ "detail": "Setup instructions sent." }
pk 不是该账户拥有的域名,则返回 404。
相关内容
- 列出自定义域名——在 API 响应中查看相同的 DNS 值。
- 获取 Domain Connect 设置链接——注册商支持时的一键替代方案。
- 验证自定义域名的 DNS 记录——记录设置到位后进行检查。
- Management API 概览——适用于此端点的身份验证方案和配额规则。
授权
Send your Management API key as the raw value of the Authorization header — no "Bearer " or "Token " prefix, and no other characters. Example: Authorization: 401f7ac837da42b97f613d789819ff93537bee6a. A header containing more than one space-separated part is rejected outright. Requests also require the request's Host header to be the management API host (e.g. api.scanova.io) — the same key sent to the regular API host will not authenticate.
路径参数
响应
Instructions sent.
此页面对您有帮助吗?